Passer au contenu principal
GET
/
v1
/
users
/
{id}
Get user
curl --request GET \
  --url https://api.hyperline.co/v1/users/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "usr_DKL4Xcb5VSa8CQ",
  "email": "john@example.com",
  "first_name": "John",
  "last_name": "Doe",
  "picture_url": null,
  "role_id": "rol_DKL4Xcb5VSa8CQ",
  "is_account_owner": false
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

Réponse

id
string
requis

User ID.

Exemple:

"usr_DKL4Xcb5VSa8CQ"

email
string<email>
requis

User email address.

Exemple:

"john@example.com"

first_name
string | null
requis

User first name.

Exemple:

"John"

last_name
string | null
requis

User last name.

Exemple:

"Doe"

picture_url
string<uri> | null
requis

User profile picture URL.

Exemple:

null

role_id
string | null
requis

ID of the role assigned to the user.

Exemple:

"rol_DKL4Xcb5VSa8CQ"

is_account_owner
boolean
requis

Whether the user is the account owner.

Exemple:

false